Bug 437192 - Review Request: simdock - Fast and customizable dockbar
Review Request: simdock - Fast and customizable dockbar
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Susi Lehtola
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-12 15:48 EDT by Terje Røsten
Modified: 2008-10-20 03:09 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-20 03:09:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
susi.lehtola: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Terje Røsten 2008-03-12 15:48:08 EDT
Spec URL: http://terjeros.fedorapeople.org/simdock/simdock.spec
SRPM URL: http://terjeros.fedorapeople.org/simdock/simdock-1.2-1.fc8.src.rpm
Description: 
SimDock is a fast and customizable dockbar. It is written in c++ and
wxWidgets and fits well in Gnome but works on most desktop
environments. Does not require Compiz nor 3D acceleration.
Comment 1 Susi Lehtola 2008-09-29 10:16:34 EDT
Review:

- MUST: rpmlint must be run on every package. The output should be posted in
the review.

Clean.

- MUST: The package must be named according to the Package Naming Guidelines .

OK.

- MUST: The spec file name must match the base package %{name}, in the format
%{name}.spec unless your package has an exemption on Package Naming Guidelines
.

OK.

- MUST: The package must meet the Packaging Guidelines .

OK.

- MUST: The package must be licensed with a Fedora approved license and meet
the Licensing Guidelines .

OK.

- MUST: The License field in the package spec file must match the actual
license.

OK.

- MUST: If (and only if) the source package includes the text of the license(s)
in its own file, then that file, containing the text of the license(s) for the
package must be included in %doc.

OK.

- MUST: The spec file must be written in American English.

OK.

- MUST: The spec file for the package MUST be legible. If the reviewer is
unable to read the spec file, it will be impossible to perform a review. Fedora
is not the place for entries into the Obfuscated Code Contest
(http://www.ioccc.org/).

OK.

- MUST: The sources used to build the package must match the upstream source,
as provided in the spec URL. Reviewers should use md5sum for this task. If no
upstream URL can be specified for this package, please see the Source URL
Guidelines for how to deal with this.

OK.

- MUST: The package must successfully compile and build into binary rpms on at
least one supported architecture.

Works at least on F9 x86-64.

- MUST: If the package does not successfully compile, build or work on an
architecture, then those architectures should be listed in the spec in
ExcludeArch. Each architecture listed in ExcludeArch needs to have a bug filed
in bugzilla, describing the reason that the package does not compile/build/work
on that architecture. The bug number should then be placed in a comment, next
to the corresponding ExcludeArch line. New packages will not have bugzilla
entries during the review process, so they should put this description in the
comment until the package is approved, then file the bugzilla entry, and
replace the long explanation with the bug number. The bug should be marked as
blocking one (or more) of the following bugs to simplify tracking such issues:
FE-ExcludeArch-x86 , FE-ExcludeArch-x64 , FE-ExcludeArch-ppc ,
FE-ExcludeArch-ppc64

Needs to be checked in the buildsystem.

- MUST: All build dependencies must be listed in BuildRequires, except for any
that are listed in the exceptions section of the Packaging Guidelines ;
inclusion of those as BuildRequires is optional. Apply common sense.

Worked for me in a full desktop install, mock may be more strict.

- MUST: The spec file MUST handle locales properly. This is done by using the
%find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.

N/A

- MUST: Every binary RPM package which stores shared library files (not just
symlinks) in any of the dynamic linker's default paths, must call ldconfig in
%post and %postun. If the package has multiple subpackages with libraries, each
subpackage should also have a %post/%postun section that calls /sbin/ldconfig.
An example of the correct syntax for this is:

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

N/A

- MUST: If the package is designed to be relocatable, the packager must state
this fact in the request for review, along with the rationalization for
relocation of that specific package. Without this, use of Prefix: /usr is
considered a blocker.

N/A

- MUST: A package must own all directories that it creates. If it does not
create a directory that it uses, then it should require a package which does
create that directory. Refer to the Guidelines for examples.

OK.

- MUST: A package must not contain any duplicate files in the %files listing.

OK.

- MUST: Permissions on files must be set properly. Executables should be set
with executable permissions, for example. Every %files section must include a
%defattr(...) line.

OK.

- MUST: Each package must have a %clean section, which contains rm -rf
%{buildroot} ( or $RPM_BUILD_ROOT ).

OK.

- MUST: Each package must consistently use macros, as described in the macros
section of Packaging Guidelines .

OK.

- MUST: The package must contain code, or permissable content. This is
described in detail in the code vs. content section of Packaging Guidelines .

OK.

- MUST: Large documentation files should go in a -doc subpackage. (The
definition of large is left up to the packager's best judgement, but is not
restricted to size. Large can refer to either size or quantity)

OK.

- MUST: If a package includes something as %doc, it must not affect the runtime
of the application. To summarize: If it is in %doc, the program must run
properly if it is not present.

OK.

- MUST: Header files must be in a -devel package.

N/A

- MUST: Static libraries must be in a -static package.

N/A

- MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'
(for directory ownership and usability).

N/A

- MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1),
then library files that end in .so (without suffix) must go in a -devel
package.

N/A

- MUST: In the vast majority of cases, devel packages must require the base
package using a fully versioned dependency: Requires: %{name} =
%{version}-%{release}

N/A

- MUST: Packages must NOT contain any .la libtool archives, these should be
removed in the spec.

N/A

- MUST: Packages containing GUI applications must include a %{name}.desktop
file, and that file must be properly installed with desktop-file-install in the
%install section. This is described in detail in the desktop files section of
the Packaging Guidelines . If you feel that your packaged GUI application does
not need a .desktop file, you must put a comment in the spec file with your
explanation.

OK

- MUST: Packages must not own files or directories already owned by other
packages. The rule of thumb here is that the first package to be installed
should own the files or directories that other packages may rely upon. This
means, for example, that no package in Fedora should ever share ownership with
any of the files or directories owned by the filesystem or man package. If you
feel that you have a good reason to own a file or directory that another
package owns, then please present that at package review time.

OK.

- MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot}
( or $RPM_BUILD_ROOT ). See Prepping BuildRoot For %install for details.

OK.

- MUST: All filenames in rpm packages must be valid UTF-8.

OK.


---

Needs work:

Buildreqs one per line in alphabetized order!

Buildrequires should probably include more packages, looking at the requires of the built RPM you need at least

libX11-devel, atk-devel, cairo-devel, gtk2-devel, pango-devel

to get the full package. Building in mock will not work without explicit numeration of buildreqs.

---

Conclusion: OK for build after fixes
Comment 2 Dominik 'Rathann' Mierzejewski 2008-10-01 17:44:34 EDT
Are you sponsored? I can't find your name in Fedora Account System.

Some additional comments:

Per https://fedoraproject.org/wiki/Packaging/Guidelines#Desktop_files
You must add
BuildRequires: desktop-file-utils
and install the .desktop file using desktop-file-install.

The desktop file itself should contain
Icon=simdock
not
Icon=simdock.png


Build fails on rawhide:

error: 
%patch without corresponding "Patch:" tag

Solution: use %patch0

It builds fine in mock after that, so BuildRequires (apart from the above) are fine.
Comment 3 Terje Røsten 2008-10-02 01:41:33 EDT
> Are you sponsored? I can't find your name in Fedora Account System.

https://admin.fedoraproject.org/pkgdb/users/packages/terjeros
Comment 5 Terje Røsten 2008-10-05 14:13:34 EDT
Seems like I forgot to update the spec file, fixed now.
Comment 6 Terje Røsten 2008-10-18 14:30:38 EDT
Jussi, do you want to continue the review?
Comment 7 Susi Lehtola 2008-10-18 16:20:10 EDT
Sure, now that I got packager status.

SHOULD: Now the buildrequires section is IMHO not very clean. Please break the BR one per line in alphabetized order. But you can do this when you import the package.

The only thing missing in the preliminary review was the desktop file installation and you've fixed that, the package is ACCEPTED.
Comment 8 Terje Røsten 2008-10-18 16:28:15 EDT
Please set correct Status and Assigned To, do this before you start the review.

I will put br's in alphabetized order, however on a single line.

Where is the one br per line policy coming from?
Comment 9 Susi Lehtola 2008-10-18 16:43:00 EDT
(In reply to comment #8)
> Please set correct Status and Assigned To, do this before you start the review.

Thanks for the tip :)

> I will put br's in alphabetized order, however on a single line.
> 
> Where is the one br per line policy coming from?

I don't think it's a policy per se; my sponsor (Dominik) told me about it. And he is right: even though you have to spend a minute or two typing the BRs in this way, the end result is a lot cleaner to look at. You can see on one glance what kind of software the package requires.

When you have many requires per line, you have to spend more time looking around; when you have everything nicely in a column the list is much faster to look through.

Since your other packages also have the same kind of BRs and they have passed their reviews without problems, I won't make a fuss out of this. Decide for yourself: which of these is nicest to read?

http://cvs.fedoraproject.org/viewvc/rpms/lynx/F-9/lynx.spec?revision=1.55&view=markup
http://cvs.fedoraproject.org/viewvc/rpms/firefox/F-9/firefox.spec?revision=1.304&view=markup
http://cvs.fedoraproject.org/viewvc/rpms/evolution/F-8/evolution.spec?revision=1.313&view=markup
Comment 10 Terje Røsten 2008-10-18 17:01:55 EDT
I see the point, something to consider.

Thanks for the review!


New Package CVS Request
=======================
Package Name: simdock
Short Description: Fast and customizable dockbar
Owners: terjeros
Branches: F-9
InitialCC:
Comment 11 Kevin Fenzi 2008-10-19 18:41:37 EDT
cvs done.
Comment 12 Terje Røsten 2008-10-20 03:09:41 EDT
Imported and built.

Note You need to log in before you can comment on or make changes to this bug.